<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:p="http://primefaces.org/ui"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:composite="http://java.sun.com/jsf/composite">


    <composite:interface>
        <composite:attribute name="uiBean" required="true" />
    </composite:interface>
    <composite:implementation>
        <ui:param name="uiBean" value="#{cc.attrs.uiBean}" />
        <h:outputStylesheet library="css"
                            name="org/inra/ecoinfo/identification/jsf-changeProfilePanel-styles.css" />

        <h:outputStylesheet library="css"
                            name="org/inra/ecoinfo/glacpe/identification/ola-rightsrequest.css" />

        <h:outputStylesheet library="css"
                            name="org/inra/ecoinfo/identification/jsf-changeProfilePanel-styles.css" />
        <f:loadBundle
            basename="org.inra.ecoinfo.identification.jsf.requestRights"
            var="requestRights" />
        <f:loadBundle basename="org.inra.ecoinfo.jsf.index" var="index" />
        <f:loadBundle
            basename="org.inra.ecoinfo.glacpe.identification.message"
            var="messageOLARightsManagementPanel" />

        <h:outputStylesheet library="css"
                            name="org/inra/ecoinfo/identification/jsf-changeProfilePanel-styles.css" />
        <rich:panel id="requestForm"
                    header="#{requestRights.PARAM_MSG_REQUEST_HEADER}"
                    styleClass="custom-rf-p profileForm" >            

            <h:panelGroup styleClass="mandatoryHeader">
                <h:outputLabel value="#{messageOLARightsManagementPanel.PROPERTY_MSG_MANDATORY}" styleClass="mandatory" />
            </h:panelGroup>
            <h:panelGrid columns="1" styleClass="requestPanel">

                <h:outputLabel value="#{messageOLARightsManagementPanel.PROPERTY_MSG_INSTITUTION}" for="institution"  styleClass="mandatory" />
                <rich:message id="msginstitution" for="institution" styleClass="message"  /> 
                <h:inputText id="institution" value="#{uiBean.request.rightRequest.emploi}" title="institution" required="true"/>
                
                <h:outputLabel value="#{messageOLARightsManagementPanel.PROPERTY_MSG_FUNCTION}" for="fonction"  styleClass="mandatory" />
                <rich:message id="msgfonction" for="fonction" styleClass="message"  /> 
                <h:inputText id="fonction" value="#{uiBean.request.rightRequest.poste}" title="fonction" required="true" />
                
                <h:outputLabel value="#{messageOLARightsManagementPanel.PARAM_MSG_ENCADRANT}" for="encadrant"  />
                <rich:message id="msgEncadrant" for="encadrant" styleClass="message"  /> 
                <h:inputText id="encadrant" value="#{uiBean.request.rightRequest.encadrant}" title="encadrant"/>
                
                <h:outputLabel value="#{messageOLARightsManagementPanel.PROPERTY_MSG_ADRESS}" for="adress" />
                <rich:message id="msgadress" for="adress" styleClass="message"  /> 
                <h:inputText id="adress" value="#{uiBean.request.rightRequest.workAdress}" title="adress"/>
                
                <h:outputLabel value="#{messageOLARightsManagementPanel.PROPERTY_MSG_PHONE}" for="phone" />
                <rich:message id="msgphone" for="phone" styleClass="message"  /> 
                <h:inputText id="phone" value="#{uiBean.request.rightRequest.phone}" title="phone"/>
                
                <h:outputLabel value="#{messageOLARightsManagementPanel.PROPERTY_MSG_OBJECTIVES}" for="objectives"  styleClass="mandatory" />
                <rich:message id="msgobjectives" for="objectives" styleClass="message"  /> 
                <h:inputTextarea  id="objectives" value="#{uiBean.request.rightRequest.request}" title="objectives" required="true"/>
                
                <h:outputLabel value="#{messageOLARightsManagementPanel.PROPERTY_MSG_RELATION}" for="relation"   styleClass="mandatory"/>
                <rich:message id="msgrelation" for="relation" styleClass="message"  /> 
                <h:inputText id="relation" value="#{uiBean.request.rightRequest.localScientist}" title="relation" required="true"/>

                <h:outputLabel value="#{messageOLARightsManagementPanel.PROPERTY_MSG_REQUIRED_DATA}" for="requiredData"  styleClass="mandatory" />
                <rich:message id="msgrequiredData" for="requiredData" styleClass="message"  /> 
                <h:inputTextarea id="requiredData" value="#{uiBean.request.rightRequest.variables}" title="requiredData" required="true"/>

                <h:outputLabel value="#{messageOLARightsManagementPanel.PROPERTY_MSG_SITES}" for="sites"  styleClass="mandatory" />
                <rich:message id="msgtreatment" for="sites" styleClass="message"  /> 
                <h:inputTextarea id="sites" value="#{uiBean.request.rightRequest.sites}" title="site" required="true"/>

                <h:outputLabel value="#{messageOLARightsManagementPanel.PARAM_MSG_DATES}" for="date"  styleClass="mandatory"/>
                <rich:message id="msgDate" for="date" styleClass="message"  /> 
                <h:inputTextarea id="date" value="#{uiBean.request.rightRequest.dates}" required="true" />

            </h:panelGrid>
        </rich:panel>

    </composite:implementation>

</html>